## org.eclipse.datatools.connectivity.sqm.core.definition
Class DefaultDatabaseDefinition

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.definition.DefaultDatabaseDefinition

All Implemented Interfaces:
  DatabaseDefinition

    public class DefaultDatabaseDefinition

extends java.lang.Object
implements DatabaseDefinition

This class lets implementors of DatabaseDefinition choose which APIs to implement and buffers against compilation problems when new APIs are added.

Author:
  Thomas Sharp, sharpt@us.ibm.com

Constructor Summary
`DefaultDatabaseDefinition()`

Method Summary
`java.util.List` `getActionElementClasses(org.eclipse.emf.ecore.EClass privilegedElementClass, java.lang.String action)`
`int` `getCheckConstraintMaximumIdentifierLength()`
`int` `getColumnMaximumIdentifierLength()`
`ICatalogProvider` `getDatabaseCatalogProvider()`
`int` `getDatabaseMaximumIdentifierLength()`
`DataModelElementFactory` `getDataModelElementFactory()`
`DDLGenerator` `getDDLGenerator()`
`org.eclipse.datatools.connectivity.sqm.internal.core.rte.DDLParser` `getDdlParser()`
`org.eclipse.datatools.modelbase.dbdefinition.DebuggerDefinition` `getDebuggerDefinition()`
`org.eclipse.datatools.connectivity.sqm.internal.core.rte.DeltaDDLGenerator` `getDeltaDDLGenerator()`
`java.lang.String` `getDescription()`
`int` `getForeignKeyMaximumIdentifierLength()`
`java.util.List` `getFunctionLanguageType()`
`java.lang.String` `getHostVariableMarker()`
`java.lang.String` `getIdentifierQuoteString()`
`java.util.Iterator` `getIdentityColumnSupportedPredefinedDataTypes()`
`java.lang.String` `getLenghtSemantic(CharacterStringDataType characterStringDataType)`
`int` `getMaximumIdentifierLength()`
`int` `getMaximumIdentifierLength(SQLObject sqlObject)`
`int` `getNicknameMaximumIdentifierLength()`
`java.util.List` `getParentDeleteDRIRules()`
`java.util.List` `getParentUpdateDRIRules()`
`PredefinedDataType` `getPredefinedDataType(org.eclipse.datatools.modelbase.dbdefinition.PredefinedDataTypeDefinition predefinedDataTypeDefinition)`
`PredefinedDataType` `getPredefinedDataType(java.lang.String dataTypeName)`
`PredefinedDataType` `getPredefinedDataTypeByNameAndJDBCEnumType(java.lang.String dataTypeName, int jdbcEnumType)`
`org.eclipse.datatools.modelbase.dbdefinition.PredefinedDataTypeDefinition` `getPredefinedDataTypeDefinition(java.lang.String dataTypeName)`
`org.eclipse.datatools.modelbase.dbdefinition.PredefinedDataTypeDefinition` `getPredefinedDataTypeDefinitionByNameAndJDBCEnumType(java.lang.String dataTypeName, int jdbcEnumType)`
`java.util.List` `getPredefinedDataTypeDefinitionsByJDBCEnumType(int jdbcEnumType)`
`java.lang.String` `getPredefinedDataTypeFormattedName(PredefinedDataType predefinedDataType)`
`java.util.Iterator` `getPredefinedDataTypes()`
`java.util.List` `getPredefinedDataTypesByJDBCEnumType(int jdbcEnumType)`
`int` `getPrimarykeyIdentifierLength()`
`java.util.List` `getPrivilegeActions(org.eclipse.emf.ecore.EClass privilegedElementClass)`
`java.util.List` `getPrivilegedElementClasses()`
`java.util.List` `getProcedureLanguageType()`
`java.lang.String` `getProduct()`
`java.lang.String` `getProductDisplayString()`
`java.util.Iterator` `getRoutineParameterPredefinedDataTypeDefinitions()`
`java.util.Iterator` `getRoutineParameterPredefinedDataTypeDefinitions(org.eclipse.datatools.modelbase.dbdefinition.LanguageType languageType)`
`int` `getSchemaMaximumIdentifierLength()`
`java.util.Iterator` `getSequenceSupportedPredefinedDataTypes()`
`java.util.List` `getSQLKeywords()`
`java.util.List` `getSQLOperators()`
`java.lang.String` `getSQLTerminationCharacter()`
`int` `getTableMaximumIdentifierLength()`
`int` `getTablespaceMaximumIdentifierLength()`
`int` `getTriggerMaximumIdentifierLength()`
`int` `getUserDefinedTypeMaximumIdentifierLength()`
`java.lang.String` `getVersion()`
`java.lang.String` `getVersionDisplayString()`
`java.util.List` `getViewCheckOptionLevels()`
`int` `getViewMaximumIdentifierLength()`
`boolean` `isAuthorizationIdentifierSupported()`
`boolean` `isGroupSupported()`
`boolean` `isKeyConstraintSupported(DataType dataType)`
`boolean` `isPrivilegedElementClass(org.eclipse.emf.ecore.EClass clss)`
`boolean` `isRoleAuthorizationSupported()`
`boolean` `isRoleSupported()`
`boolean` `isSQLKeyword(java.lang.String word)`
`boolean` `isSQLOperator(java.lang.String word)`
`boolean` `isUniqueKeyNullable()`
`boolean` `isUserSupported()`
`int` `queryMaxCheckExpression()`
`int` `queryMaxCommentLength()`
`int` `queryMaxIdentifierLength()`
`int` `queryStoredProcedureMaxActionBodyLength()`
`int` `queryTriggerMaxActionBodyLength()`
`int` `queryTriggerMaxReferencePartLength()`
`void` `setLenghtSemantic(CharacterStringDataType characterStringDataType, java.lang.String value)`
`boolean` `supportsAlias()`
`boolean` `supportsArrayDataType()`
`boolean` `supportsCastExpression()`
`boolean` `supportsClusteredIndexes()`
`boolean` `supportsComputedColumns()`
`boolean` `supportsConstraints()`
`boolean` `supportsConstructedDataType()`
`boolean` `supportsCursorDataType()`
`boolean` `supportsDefaultKeywordForInsertValue()`
`boolean` `supportsDeferrableConstraints()`
`boolean` `supportsDistinctUserDefinedType()`
`boolean` `supportsEvents()`
`boolean` `supportsExtendedGrouping()`
`boolean` `supportsHostVariableMarker()`
`boolean` `supportsIdentityColumns()`
`boolean` `supportsInformationalConstraints()`
`boolean` `supportsInsteadOfTrigger()`
`boolean` `supportsMQT()`
`boolean` `supportsMQTIndex()`
`boolean` `supportsMultiSetDataType()`
`boolean` `supportsNicknameConstraints()`
`boolean` `supportsNicknameIndex()`
`boolean` `supportsNicknames()`
`boolean` `supportsPackage()`
`boolean` `supportsPerColumnUpdateTrigger()`
`boolean` `supportsQuotedDDL()`
`boolean` `supportsQuotedDML()`
`boolean` `supportsReferenceDataType()`
`boolean` `supportsRowDataType()`
`boolean` `supportsRowTriggerReference()`
`boolean` `supportsSchema()`
`boolean` `supportsSequence()`
`boolean` `supportsSnapshotViews()`
`boolean` `supportsSQLStatement()`
`boolean` `supportsSQLUDFs()`
`boolean` `supportsStoredProcedureNullInputAction()`
`boolean` `supportsStoredProcedures()`
`boolean` `supportsStructuredUserDefinedType()`
`boolean` `supportsSynonym()`
`boolean` `supportsTableAliasInDelete()`
`boolean` `supportsTableTriggerReference()`
`boolean` `supportsTriggerGranularity()`
`boolean` `supportsTriggerReferencesClause()`
`boolean` `supportsTriggers()`
`boolean` `supportsTriggerTypes()`
`boolean` `supportsUDF()`
`boolean` `supportsUserDefinedType()`
`boolean` `supportsViewCheckOption()`
`boolean` `supportsViewCheckOptionLevels()`
`boolean` `supportsViewIndex()`
`boolean` `supportsViewTriggers()`
`boolean` `supportsXML()`
`boolean` `supportTriggerWhenClause()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultDatabaseDefinition

    public DefaultDatabaseDefinition()

Method Detail

### getActionElementClasses

    public java.util.List getActionElementClasses(org.eclipse.emf.ecore.EClass privilegedElementClass,
                                                  java.lang.String action)

  Specified by:
    `getActionElementClasses` in interface `DatabaseDefinition`

### getCheckConstraintMaximumIdentifierLength

    public int getCheckConstraintMaximumIdentifierLength()

  Specified by:
    `getCheckConstraintMaximumIdentifierLength` in interface `DatabaseDefinition`

### getColumnMaximumIdentifierLength

    public int getColumnMaximumIdentifierLength()

  Specified by:
    `getColumnMaximumIdentifierLength` in interface `DatabaseDefinition`

### getDDLGenerator

    public DDLGenerator getDDLGenerator()

  Specified by:
    `getDDLGenerator` in interface `DatabaseDefinition`

### getDataModelElementFactory

    public DataModelElementFactory getDataModelElementFactory()

  Specified by:
    `getDataModelElementFactory` in interface `DatabaseDefinition`

### getDatabaseCatalogProvider

    public ICatalogProvider getDatabaseCatalogProvider()

  Specified by:
    `getDatabaseCatalogProvider` in interface `DatabaseDefinition`

### getDatabaseMaximumIdentifierLength

    public int getDatabaseMaximumIdentifierLength()

  Specified by:
    `getDatabaseMaximumIdentifierLength` in interface `DatabaseDefinition`

### getDdlParser

    public org.eclipse.datatools.connectivity.sqm.internal.core.rte.DDLParser getDdlParser()

  Specified by:
    `getDdlParser` in interface `DatabaseDefinition`

### getDebuggerDefinition

    public org.eclipse.datatools.modelbase.dbdefinition.DebuggerDefinition getDebuggerDefinition()

  Specified by:
    `getDebuggerDefinition` in interface `DatabaseDefinition`

### getDeltaDDLGenerator

    public org.eclipse.datatools.connectivity.sqm.internal.core.rte.DeltaDDLGenerator getDeltaDDLGenerator()

  Specified by:
    `getDeltaDDLGenerator` in interface `DatabaseDefinition`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `DatabaseDefinition`

### getForeignKeyMaximumIdentifierLength

    public int getForeignKeyMaximumIdentifierLength()

  Specified by:
    `getForeignKeyMaximumIdentifierLength` in interface `DatabaseDefinition`

### getFunctionLanguageType

    public java.util.List getFunctionLanguageType()

  Specified by:
    `getFunctionLanguageType` in interface `DatabaseDefinition`

### getHostVariableMarker

    public java.lang.String getHostVariableMarker()

  Specified by:
    `getHostVariableMarker` in interface `DatabaseDefinition`

### getIdentifierQuoteString

    public java.lang.String getIdentifierQuoteString()

  Specified by:
    `getIdentifierQuoteString` in interface `DatabaseDefinition`

### getIdentityColumnSupportedPredefinedDataTypes

    public java.util.Iterator getIdentityColumnSupportedPredefinedDataTypes()

  Specified by:
    `getIdentityColumnSupportedPredefinedDataTypes` in interface `DatabaseDefinition`

### getLenghtSemantic

    public java.lang.String getLenghtSemantic(CharacterStringDataType characterStringDataType)

  Specified by:
    `getLenghtSemantic` in interface `DatabaseDefinition`

### getMaximumIdentifierLength

    public int getMaximumIdentifierLength()

  Specified by:
    `getMaximumIdentifierLength` in interface `DatabaseDefinition`

### getMaximumIdentifierLength

    public int getMaximumIdentifierLength(SQLObject sqlObject)

  Specified by:
    `getMaximumIdentifierLength` in interface `DatabaseDefinition`

### getNicknameMaximumIdentifierLength

    public int getNicknameMaximumIdentifierLength()

  Specified by:
    `getNicknameMaximumIdentifierLength` in interface `DatabaseDefinition`

### getParentDeleteDRIRules

    public java.util.List getParentDeleteDRIRules()

  Specified by:
    `getParentDeleteDRIRules` in interface `DatabaseDefinition`

### getParentUpdateDRIRules

    public java.util.List getParentUpdateDRIRules()

  Specified by:
    `getParentUpdateDRIRules` in interface `DatabaseDefinition`

### getPredefinedDataType

    public PredefinedDataType getPredefinedDataType(java.lang.String dataTypeName)

  Specified by:
    `getPredefinedDataType` in interface `DatabaseDefinition`

### getPredefinedDataType

    public PredefinedDataType getPredefinedDataType(org.eclipse.datatools.modelbase.dbdefinition.PredefinedDataTypeDefinition predefinedDataTypeDefinition)

  Specified by:
    `getPredefinedDataType` in interface `DatabaseDefinition`

### getPredefinedDataTypeByNameAndJDBCEnumType

    public PredefinedDataType getPredefinedDataTypeByNameAndJDBCEnumType(java.lang.String dataTypeName,
                                                                         int jdbcEnumType)

  Specified by:
    `getPredefinedDataTypeByNameAndJDBCEnumType` in interface `DatabaseDefinition`

### getPredefinedDataTypeDefinition

    public org.eclipse.datatools.modelbase.dbdefinition.PredefinedDataTypeDefinition getPredefinedDataTypeDefinition(java.lang.String dataTypeName)

  Specified by:
    `getPredefinedDataTypeDefinition` in interface `DatabaseDefinition`

### getPredefinedDataTypeDefinitionByNameAndJDBCEnumType

    public org.eclipse.datatools.modelbase.dbdefinition.PredefinedDataTypeDefinition getPredefinedDataTypeDefinitionByNameAndJDBCEnumType(java.lang.String dataTypeName,
                                                                                                                                          int jdbcEnumType)

  Specified by:
    `getPredefinedDataTypeDefinitionByNameAndJDBCEnumType` in interface `DatabaseDefinition`

### getPredefinedDataTypeDefinitionsByJDBCEnumType

    public java.util.List getPredefinedDataTypeDefinitionsByJDBCEnumType(int jdbcEnumType)

  Specified by:
    `getPredefinedDataTypeDefinitionsByJDBCEnumType` in interface `DatabaseDefinition`

### getPredefinedDataTypeFormattedName

    public java.lang.String getPredefinedDataTypeFormattedName(PredefinedDataType predefinedDataType)

  Specified by:
    `getPredefinedDataTypeFormattedName` in interface `DatabaseDefinition`

### getPredefinedDataTypes

    public java.util.Iterator getPredefinedDataTypes()

  Specified by:
    `getPredefinedDataTypes` in interface `DatabaseDefinition`

### getPredefinedDataTypesByJDBCEnumType

    public java.util.List getPredefinedDataTypesByJDBCEnumType(int jdbcEnumType)

  Specified by:
    `getPredefinedDataTypesByJDBCEnumType` in interface `DatabaseDefinition`

### getPrimarykeyIdentifierLength

    public int getPrimarykeyIdentifierLength()

  Specified by:
    `getPrimarykeyIdentifierLength` in interface `DatabaseDefinition`

### getPrivilegeActions

    public java.util.List getPrivilegeActions(org.eclipse.emf.ecore.EClass privilegedElementClass)

  Specified by:
    `getPrivilegeActions` in interface `DatabaseDefinition`

### getPrivilegedElementClasses

    public java.util.List getPrivilegedElementClasses()

  Specified by:
    `getPrivilegedElementClasses` in interface `DatabaseDefinition`

### getProcedureLanguageType

    public java.util.List getProcedureLanguageType()

  Specified by:
    `getProcedureLanguageType` in interface `DatabaseDefinition`

### getProduct

    public java.lang.String getProduct()

  Specified by:
    `getProduct` in interface `DatabaseDefinition`

### getProductDisplayString

    public java.lang.String getProductDisplayString()

  Specified by:
    `getProductDisplayString` in interface `DatabaseDefinition`

### getRoutineParameterPredefinedDataTypeDefinitions

    public java.util.Iterator getRoutineParameterPredefinedDataTypeDefinitions()

  Specified by:
    `getRoutineParameterPredefinedDataTypeDefinitions` in interface `DatabaseDefinition`

### getRoutineParameterPredefinedDataTypeDefinitions

    public java.util.Iterator getRoutineParameterPredefinedDataTypeDefinitions(org.eclipse.datatools.modelbase.dbdefinition.LanguageType languageType)

  Specified by:
    `getRoutineParameterPredefinedDataTypeDefinitions` in interface `DatabaseDefinition`

### getSQLKeywords

    public java.util.List getSQLKeywords()

  Specified by:
    `getSQLKeywords` in interface `DatabaseDefinition`

### getSQLOperators

    public java.util.List getSQLOperators()

  Specified by:
    `getSQLOperators` in interface `DatabaseDefinition`

### getSQLTerminationCharacter

    public java.lang.String getSQLTerminationCharacter()

  Specified by:
    `getSQLTerminationCharacter` in interface `DatabaseDefinition`

### getSchemaMaximumIdentifierLength

    public int getSchemaMaximumIdentifierLength()

  Specified by:
    `getSchemaMaximumIdentifierLength` in interface `DatabaseDefinition`

### getSequenceSupportedPredefinedDataTypes

    public java.util.Iterator getSequenceSupportedPredefinedDataTypes()

  Specified by:
    `getSequenceSupportedPredefinedDataTypes` in interface `DatabaseDefinition`

### getTableMaximumIdentifierLength

    public int getTableMaximumIdentifierLength()

  Specified by:
    `getTableMaximumIdentifierLength` in interface `DatabaseDefinition`

### getTablespaceMaximumIdentifierLength

    public int getTablespaceMaximumIdentifierLength()

  Specified by:
    `getTablespaceMaximumIdentifierLength` in interface `DatabaseDefinition`

### getTriggerMaximumIdentifierLength

    public int getTriggerMaximumIdentifierLength()

  Specified by:
    `getTriggerMaximumIdentifierLength` in interface `DatabaseDefinition`

### getUserDefinedTypeMaximumIdentifierLength

    public int getUserDefinedTypeMaximumIdentifierLength()

  Specified by:
    `getUserDefinedTypeMaximumIdentifierLength` in interface `DatabaseDefinition`

### getVersion

    public java.lang.String getVersion()

  Specified by:
    `getVersion` in interface `DatabaseDefinition`

### getVersionDisplayString

    public java.lang.String getVersionDisplayString()

  Specified by:
    `getVersionDisplayString` in interface `DatabaseDefinition`

### getViewCheckOptionLevels

    public java.util.List getViewCheckOptionLevels()

  Specified by:
    `getViewCheckOptionLevels` in interface `DatabaseDefinition`

### getViewMaximumIdentifierLength

    public int getViewMaximumIdentifierLength()

  Specified by:
    `getViewMaximumIdentifierLength` in interface `DatabaseDefinition`

### isAuthorizationIdentifierSupported

    public boolean isAuthorizationIdentifierSupported()

  Specified by:
    `isAuthorizationIdentifierSupported` in interface `DatabaseDefinition`

### isGroupSupported

    public boolean isGroupSupported()

  Specified by:
    `isGroupSupported` in interface `DatabaseDefinition`

### isKeyConstraintSupported

    public boolean isKeyConstraintSupported(DataType dataType)

  Specified by:
    `isKeyConstraintSupported` in interface `DatabaseDefinition`

### isPrivilegedElementClass

    public boolean isPrivilegedElementClass(org.eclipse.emf.ecore.EClass clss)

  Specified by:
    `isPrivilegedElementClass` in interface `DatabaseDefinition`

### isRoleAuthorizationSupported

    public boolean isRoleAuthorizationSupported()

  Specified by:
    `isRoleAuthorizationSupported` in interface `DatabaseDefinition`

### isRoleSupported

    public boolean isRoleSupported()

  Specified by:
    `isRoleSupported` in interface `DatabaseDefinition`

### isSQLKeyword

    public boolean isSQLKeyword(java.lang.String word)

  Specified by:
    `isSQLKeyword` in interface `DatabaseDefinition`

### isSQLOperator

    public boolean isSQLOperator(java.lang.String word)

  Specified by:
    `isSQLOperator` in interface `DatabaseDefinition`

### isUniqueKeyNullable

    public boolean isUniqueKeyNullable()

  Specified by:
    `isUniqueKeyNullable` in interface `DatabaseDefinition`

### isUserSupported

    public boolean isUserSupported()

  Specified by:
    `isUserSupported` in interface `DatabaseDefinition`

### queryMaxCheckExpression

    public int queryMaxCheckExpression()

  Specified by:
    `queryMaxCheckExpression` in interface `DatabaseDefinition`

### queryMaxCommentLength

    public int queryMaxCommentLength()

  Specified by:
    `queryMaxCommentLength` in interface `DatabaseDefinition`

### queryMaxIdentifierLength

    public int queryMaxIdentifierLength()

  Specified by:
    `queryMaxIdentifierLength` in interface `DatabaseDefinition`

### queryStoredProcedureMaxActionBodyLength

    public int queryStoredProcedureMaxActionBodyLength()

  Specified by:
    `queryStoredProcedureMaxActionBodyLength` in interface `DatabaseDefinition`

### queryTriggerMaxActionBodyLength

    public int queryTriggerMaxActionBodyLength()

  Specified by:
    `queryTriggerMaxActionBodyLength` in interface `DatabaseDefinition`

### queryTriggerMaxReferencePartLength

    public int queryTriggerMaxReferencePartLength()

  Specified by:
    `queryTriggerMaxReferencePartLength` in interface `DatabaseDefinition`

### setLenghtSemantic

    public void setLenghtSemantic(CharacterStringDataType characterStringDataType,
                                  java.lang.String value)

  Specified by:
    `setLenghtSemantic` in interface `DatabaseDefinition`

### supportTriggerWhenClause

    public boolean supportTriggerWhenClause()

  Specified by:
    `supportTriggerWhenClause` in interface `DatabaseDefinition`

### supportsAlias

    public boolean supportsAlias()

  Specified by:
    `supportsAlias` in interface `DatabaseDefinition`

### supportsArrayDataType

    public boolean supportsArrayDataType()

  Specified by:
    `supportsArrayDataType` in interface `DatabaseDefinition`

### supportsCastExpression

    public boolean supportsCastExpression()

  Specified by:
    `supportsCastExpression` in interface `DatabaseDefinition`

### supportsClusteredIndexes

    public boolean supportsClusteredIndexes()

  Specified by:
    `supportsClusteredIndexes` in interface `DatabaseDefinition`

### supportsComputedColumns

    public boolean supportsComputedColumns()

  Specified by:
    `supportsComputedColumns` in interface `DatabaseDefinition`

### supportsConstraints

    public boolean supportsConstraints()

  Specified by:
    `supportsConstraints` in interface `DatabaseDefinition`

### supportsConstructedDataType

    public boolean supportsConstructedDataType()

  Specified by:
    `supportsConstructedDataType` in interface `DatabaseDefinition`

### supportsDefaultKeywordForInsertValue

    public boolean supportsDefaultKeywordForInsertValue()

  Specified by:
    `supportsDefaultKeywordForInsertValue` in interface `DatabaseDefinition`

### supportsDeferrableConstraints

    public boolean supportsDeferrableConstraints()

  Specified by:
    `supportsDeferrableConstraints` in interface `DatabaseDefinition`

### supportsDistinctUserDefinedType

    public boolean supportsDistinctUserDefinedType()

  Specified by:
    `supportsDistinctUserDefinedType` in interface `DatabaseDefinition`

### supportsEvents

    public boolean supportsEvents()

  Specified by:
    `supportsEvents` in interface `DatabaseDefinition`

### supportsExtendedGrouping

    public boolean supportsExtendedGrouping()

  Specified by:
    `supportsExtendedGrouping` in interface `DatabaseDefinition`

### supportsHostVariableMarker

    public boolean supportsHostVariableMarker()

  Specified by:
    `supportsHostVariableMarker` in interface `DatabaseDefinition`

### supportsIdentityColumns

    public boolean supportsIdentityColumns()

  Specified by:
    `supportsIdentityColumns` in interface `DatabaseDefinition`

### supportsInformationalConstraints

    public boolean supportsInformationalConstraints()

  Specified by:
    `supportsInformationalConstraints` in interface `DatabaseDefinition`

### supportsInsteadOfTrigger

    public boolean supportsInsteadOfTrigger()

  Specified by:
    `supportsInsteadOfTrigger` in interface `DatabaseDefinition`

### supportsMQT

    public boolean supportsMQT()

  Specified by:
    `supportsMQT` in interface `DatabaseDefinition`

### supportsMQTIndex

    public boolean supportsMQTIndex()

  Specified by:
    `supportsMQTIndex` in interface `DatabaseDefinition`

### supportsMultiSetDataType

    public boolean supportsMultiSetDataType()

  Specified by:
    `supportsMultiSetDataType` in interface `DatabaseDefinition`

### supportsNicknameConstraints

    public boolean supportsNicknameConstraints()

  Specified by:
    `supportsNicknameConstraints` in interface `DatabaseDefinition`

### supportsNicknameIndex

    public boolean supportsNicknameIndex()

  Specified by:
    `supportsNicknameIndex` in interface `DatabaseDefinition`

### supportsNicknames

    public boolean supportsNicknames()

  Specified by:
    `supportsNicknames` in interface `DatabaseDefinition`

### supportsPackage

    public boolean supportsPackage()

  Specified by:
    `supportsPackage` in interface `DatabaseDefinition`

### supportsPerColumnUpdateTrigger

    public boolean supportsPerColumnUpdateTrigger()

  Specified by:
    `supportsPerColumnUpdateTrigger` in interface `DatabaseDefinition`

### supportsQuotedDDL

    public boolean supportsQuotedDDL()

  Specified by:
    `supportsQuotedDDL` in interface `DatabaseDefinition`

### supportsQuotedDML

    public boolean supportsQuotedDML()

  Specified by:
    `supportsQuotedDML` in interface `DatabaseDefinition`

### supportsReferenceDataType

    public boolean supportsReferenceDataType()

  Specified by:
    `supportsReferenceDataType` in interface `DatabaseDefinition`

### supportsRowDataType

    public boolean supportsRowDataType()

  Specified by:
    `supportsRowDataType` in interface `DatabaseDefinition`

### supportsCursorDataType

    public boolean supportsCursorDataType()

  Specified by:
    `supportsCursorDataType` in interface `DatabaseDefinition`

### supportsRowTriggerReference

    public boolean supportsRowTriggerReference()

  Specified by:
    `supportsRowTriggerReference` in interface `DatabaseDefinition`

### supportsSQLStatement

    public boolean supportsSQLStatement()

  Specified by:
    `supportsSQLStatement` in interface `DatabaseDefinition`

### supportsSQLUDFs

    public boolean supportsSQLUDFs()

  Specified by:
    `supportsSQLUDFs` in interface `DatabaseDefinition`

### supportsUDF

    public boolean supportsUDF()

  Specified by:
    `supportsUDF` in interface `DatabaseDefinition`

### supportsSchema

    public boolean supportsSchema()

  Specified by:
    `supportsSchema` in interface `DatabaseDefinition`

### supportsSequence

    public boolean supportsSequence()

  Specified by:
    `supportsSequence` in interface `DatabaseDefinition`

### supportsSnapshotViews

    public boolean supportsSnapshotViews()

  Specified by:
    `supportsSnapshotViews` in interface `DatabaseDefinition`

### supportsStoredProcedureNullInputAction

    public boolean supportsStoredProcedureNullInputAction()

  Specified by:
    `supportsStoredProcedureNullInputAction` in interface `DatabaseDefinition`

### supportsStoredProcedures

    public boolean supportsStoredProcedures()

  Specified by:
    `supportsStoredProcedures` in interface `DatabaseDefinition`

### supportsStructuredUserDefinedType

    public boolean supportsStructuredUserDefinedType()

  Specified by:
    `supportsStructuredUserDefinedType` in interface `DatabaseDefinition`

### supportsSynonym

    public boolean supportsSynonym()

  Specified by:
    `supportsSynonym` in interface `DatabaseDefinition`

### supportsTableAliasInDelete

    public boolean supportsTableAliasInDelete()

  Specified by:
    `supportsTableAliasInDelete` in interface `DatabaseDefinition`

### supportsTableTriggerReference

    public boolean supportsTableTriggerReference()

  Specified by:
    `supportsTableTriggerReference` in interface `DatabaseDefinition`

### supportsTriggerGranularity

    public boolean supportsTriggerGranularity()

  Specified by:
    `supportsTriggerGranularity` in interface `DatabaseDefinition`

### supportsTriggerReferencesClause

    public boolean supportsTriggerReferencesClause()

  Specified by:
    `supportsTriggerReferencesClause` in interface `DatabaseDefinition`

### supportsTriggerTypes

    public boolean supportsTriggerTypes()

  Specified by:
    `supportsTriggerTypes` in interface `DatabaseDefinition`

### supportsTriggers

    public boolean supportsTriggers()

  Specified by:
    `supportsTriggers` in interface `DatabaseDefinition`

### supportsUserDefinedType

    public boolean supportsUserDefinedType()

  Specified by:
    `supportsUserDefinedType` in interface `DatabaseDefinition`

### supportsViewCheckOption

    public boolean supportsViewCheckOption()

  Specified by:
    `supportsViewCheckOption` in interface `DatabaseDefinition`

### supportsViewCheckOptionLevels

    public boolean supportsViewCheckOptionLevels()

  Specified by:
    `supportsViewCheckOptionLevels` in interface `DatabaseDefinition`

### supportsViewIndex

    public boolean supportsViewIndex()

  Specified by:
    `supportsViewIndex` in interface `DatabaseDefinition`

### supportsViewTriggers

    public boolean supportsViewTriggers()

  Specified by:
    `supportsViewTriggers` in interface `DatabaseDefinition`

### supportsXML

    public boolean supportsXML()

  Specified by:
    `supportsXML` in interface `DatabaseDefinition`